com.franz.jlinker

## Class JavaLinkCommon

- java.lang.Object
- - com.franz.jlinker.JavaLinkCommon

-     public abstract class JavaLinkCommon
      extends java.lang.Object

  This class implements some static utility methods.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JavaLinkCommon.Build_2015_01_30` A version marker visible in the jar file manifest.
    `static class` | `JavaLinkCommon.V7001011` A version marker visible in the jar file manifest.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaLinkCommon()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Object[]` | `lispValues(java.lang.Object res, java.lang.String called, int min, int max, boolean firstRefP)` This method is used in the servlet code examples.
    `static java.lang.Object[]` | `newGate()` Create a gate object used in the servlet code examples.
    `static java.lang.String` | `testGate(java.lang.Object[] gate)` Query the gate object created with newGate().
    `static int` | `version()` Query the version of the Java jlinker implementation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaLinkCommon

          public JavaLinkCommon()

  - ### Method Detail

    - #### version

          public static int version()

      Query the version of the Java jlinker implementation.
      Returns:
        the integer version number of the form psssmmm, where p is a primary version digit, sss is a minor version number, and mmm usually denotes a patch level.

    - #### newGate

          public static java.lang.Object[] newGate()

      Create a gate object used in the servlet code examples.
      Returns:
        an Object array.

    - #### testGate

          public static java.lang.String testGate(java.lang.Object[] gate)

      Query the gate object created with newGate().
      Parameters:
        `gate` - the gate object
      Returns:
        a string that describes the state of the gate object.

    - #### lispValues

          public static java.lang.Object[] lispValues(java.lang.Object res,
                                                      java.lang.String called,
                                                      int min,
                                                      int max,
                                                      boolean firstRefP)

      This method is used in the servlet code examples.
      Parameters:
        `res` -
        `called` -
        `min` -
        `max` -
        `firstRefP` -
      Returns: